Debian Bug report logs - #335698
ITA: libxml-ruby -- Ruby interface to libxml

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Andres Salomon <dilinger@debian.org>

Date: Tue, 25 Oct 2005 14:03:13 UTC

Owned by: Brett Smith <debian@brettcsmith.org>

Severity: normal

Tags: help

Fixed in version libxml-ruby/0.3.8-1

Done: Filipe Lautert <filipelautert@celepar.pr.gov.br>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#335698; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@debian.org>
To: submit@bugs.debian.org
Subject: O: libxml-ruby -- Ruby interface to libxml
Date: Tue, 25 Oct 2005 09:51:01 -0400
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

These (libxml-ruby and libxslt-ruby) are fairly useful; however,
afaict they are no longer maintained upstream.
There is a fairly sordid history here; basically, the
original author (Sean Chittenden) stopped maintaining them around 2002
or 2003.  He licensed them under a BSD license (iirc).  In 2003,
Gregoire Lejeune started maintaining libxslt; however, he relicensed the
program under the GPL, and stripped off Sean's copyright information
(violating Sean's license); this is according to Sean, anyways.  At some
point in 2004/2005, someone named Trans Onoma imported them into the
xml-tools [1] repository, but he hasn't worked on them since 2004 or so.
I have no idea whether or not he intends to actively maintain them.

Sid still contains Sean's last releases, from 2002/2003.  I don't know
whether Gregoire's latest version even contains any of Sean's original
code; I no longer have a use for either of these packages, so I haven't
bothered to figure it out.  Whoever takes over these packages should
probably talk to the upstream (or ask on one of the ruby lists) to find
out which will actively be maintained.  Both licenses are problematic
for libraries as well, so maybe simply rewriting them from scratch under
the LGPL or 3-clause BSD would be the best way to go here.

Given the licensing pains and upstream squabbling, as well as the fact
that I don't use them anymore, I'm no longer willing to maintain them.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

-- 
Andres Salomon <dilinger@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#335698; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Brett Smith <debian@brettcsmith.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 335698@bugs.debian.org (full text, mbox):

From: Brett Smith <debian@brettcsmith.org>
To: control@bugs.debian.org, 335698@bugs.debian.org
Subject: ITA: libxml-ruby
Date: Sun, 30 Apr 2006 22:23:22 -0400
owner 335698 debian@brettcsmith.org
retitle 335698 ITA: libxml-ruby -- Ruby interface to libxml
thanks

It looks like the dust has settled upstream for this library.  The
canonical version seems to be <http://libxml.rubyforge.org/>.  The original
copyright notices have been restored in the source, the license is MIT/X11,
and development seems to be picking up again; there have been two releases
in two months.

I've done initial work on packaging the latest version, 0.3.8.  I'm going
to put on the finishing touches over the next couple of days, and then will
send it around for review.

--
Brett Smith



Owner recorded as debian@brettcsmith.org. Request was from Brett Smith <debian@brettcsmith.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Brett Smith <debian@brettcsmith.org> to control@bugs.debian.org. Full text and rfc822 format available.

Owner changed from debian@brettcsmith.org to Brett Smith <debian@brettcsmith.org>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: help Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Filipe Lautert <filipelautert@celepar.pr.gov.br>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andres Salomon <dilinger@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #23 received at 335698-close@bugs.debian.org (full text, mbox):

From: Filipe Lautert <filipelautert@celepar.pr.gov.br>
To: 335698-close@bugs.debian.org
Subject: Bug#335698: fixed in libxml-ruby 0.3.8-1
Date: Wed, 08 Nov 2006 07:18:01 -0800
Source: libxml-ruby
Source-Version: 0.3.8-1

We believe that the bug you reported is fixed in the latest version of
libxml-ruby, which is due to be installed in the Debian FTP archive:

libxml-ruby1.8_0.3.8-1_powerpc.deb
  to pool/main/libx/libxml-ruby/libxml-ruby1.8_0.3.8-1_powerpc.deb
libxml-ruby_0.3.8-1.diff.gz
  to pool/main/libx/libxml-ruby/libxml-ruby_0.3.8-1.diff.gz
libxml-ruby_0.3.8-1.dsc
  to pool/main/libx/libxml-ruby/libxml-ruby_0.3.8-1.dsc
libxml-ruby_0.3.8-1_all.deb
  to pool/main/libx/libxml-ruby/libxml-ruby_0.3.8-1_all.deb
libxml-ruby_0.3.8.orig.tar.gz
  to pool/main/libx/libxml-ruby/libxml-ruby_0.3.8.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 335698@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Filipe Lautert <filipelautert@celepar.pr.gov.br> (supplier of updated libxml-ruby package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue,  7 Nov 2006 21:35:12 -0300
Source: libxml-ruby
Binary: libxml-ruby libxml-ruby1.8
Architecture: source all powerpc
Version: 0.3.8-1
Distribution: unstable
Urgency: low
Maintainer: Filipe Lautert <filipelautert@celepar.pr.gov.br>
Changed-By: Filipe Lautert <filipelautert@celepar.pr.gov.br>
Description: 
 libxml-ruby - Ruby interface to libxml
 libxml-ruby1.8 - Ruby interface to libxml
Closes: 335698
Changes: 
 libxml-ruby (0.3.8-1) unstable; urgency=low
 .
   * Package adopted - maintenance changed to Debian/Ruby Extras team.
     Closes: #335698.
   * Converted debian/rules to cdbs.
   * Added remove command to debian/rules that removes empty test file
     resolving litian warning.
   * Conforms to Standards version 3.7.2.
Files: 
 67ce9f85f9398fb7672f6978f07761d8 1369 interpreters optional libxml-ruby_0.3.8-1.dsc
 0f01496523ccdcaf0210004dfa860213 54755 interpreters optional libxml-ruby_0.3.8.orig.tar.gz
 3aca4ac21f117c0010b3db37b26422f8 2663 interpreters optional libxml-ruby_0.3.8-1.diff.gz
 ea2d9012290a891d2580803def717692 15598 interpreters optional libxml-ruby_0.3.8-1_all.deb
 365819b9cff6e3e4359e32ca1c3f668c 44402 interpreters optional libxml-ruby1.8_0.3.8-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFUfFvJBBhylAGQYERAsDtAJwISSS8iR8Pvk5kV8eMmgse7yePTwCfR4Ji
ajYZmcH1FTlyJrFjcSBp9cI=
=xzUw
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 21:48:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:18:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.